Межсайтовый скриптинг в LinPHA

Дата публикации:
30.04.2009
Дата изменения:
30.04.2009
Всего просмотров:
1602
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LinPHA 1.x
Уязвимые версии: LinPHA 1.3.4, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов перед выполнением некоторых действий. Удаленный пользователь может произвести CSRF нападение и удалить произвольные учетные записи.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "imgid" в сценарии actions/image_resized_view.php и в параметре "friend_full_name" в сценарии admin.php, когда параметр "redirector" установлен в значение "mod_user" и параметр "page" установлен в значение "mysettings". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: linpha.sourceforge.net/nuke/index.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://holisticinfosec.org/content/view/103/45/

или введите имя

CAPTCHA